      SUBROUTINE MXM(A,NAR,B,NBR,C,NCC)
      implicit double precision (A-H,O-Z)
C     RECTANGULAR MATRIX PRODUCT C=A*B.
C     EACH MATRIX IS ENTIRELY FULLFILLED AND PACKED.
C     SIMULATE ROUTINE ON CRAY (SAME NAME AND callING SEQUENCE).
      dimension A(NAR,NBR),B(NBR,NCC),C(NAR,NCC)
      include 'MOP6FILE'
      do 20 J=1,NCC
         do 10 I=1,NAR
   10    C(I,J)=0.D0
         do 20 K=1,NBR
            do 20 I=1,NAR
   20 C(I,J)=C(I,J)+A(I,K)*B(K,J)
      return
      end
